Enhance
Bulk enhance
Enhance multiple columns of a single row in one request.
POST
/
v1
/
tables
/
{table_id}
/
enhance
/
bulk
const job = await client.enhance.bulk("tbl_abc123", {
row_id: "row_xyz789",
columns: [
{ key: "description", prompt: "Write a product description." },
{ key: "seo_title", prompt: "Generate an SEO-optimized title.", web_search: true },
{ key: "description_de", prompt: "Translate the description to German." },
],
});
job = client.enhance.bulk(
"tbl_abc123",
row_id="row_xyz789",
columns=[
{"key": "description", "prompt": "Write a product description."},
{"key": "seo_title", "prompt": "Generate an SEO-optimized title.", "web_search": True},
{"key": "description_de", "prompt": "Translate the description to German."},
],
)
curl -X POST "https://hub.banditshq.com/api/v1/tables/tbl_abc123/enhance/bulk" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"row_id": "row_xyz789",
"columns": [
{
"key": "description",
"prompt": "Write a product description."
},
{
"key": "seo_title",
"prompt": "Generate an SEO-optimized title.",
"web_search": true
},
{
"key": "description_de",
"prompt": "Translate the description to German.",
"target_language": "de"
}
]
}'
{
"id": "enhance_abc123",
"status": "queued",
"estimated_credits": 1.5,
"rows_queued": 1
}
Path parameters
string
required
The unique identifier of the table.
Request body
string
required
The row ID to enhance.
array
required
Response
string
Enhancement job identifier.
string
Always
queued.number
Estimated credit cost.
integer
Always
1.const job = await client.enhance.bulk("tbl_abc123", {
row_id: "row_xyz789",
columns: [
{ key: "description", prompt: "Write a product description." },
{ key: "seo_title", prompt: "Generate an SEO-optimized title.", web_search: true },
{ key: "description_de", prompt: "Translate the description to German." },
],
});
job = client.enhance.bulk(
"tbl_abc123",
row_id="row_xyz789",
columns=[
{"key": "description", "prompt": "Write a product description."},
{"key": "seo_title", "prompt": "Generate an SEO-optimized title.", "web_search": True},
{"key": "description_de", "prompt": "Translate the description to German."},
],
)
curl -X POST "https://hub.banditshq.com/api/v1/tables/tbl_abc123/enhance/bulk" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"row_id": "row_xyz789",
"columns": [
{
"key": "description",
"prompt": "Write a product description."
},
{
"key": "seo_title",
"prompt": "Generate an SEO-optimized title.",
"web_search": true
},
{
"key": "description_de",
"prompt": "Translate the description to German.",
"target_language": "de"
}
]
}'
{
"id": "enhance_abc123",
"status": "queued",
"estimated_credits": 1.5,
"rows_queued": 1
}
⌘I
const job = await client.enhance.bulk("tbl_abc123", {
row_id: "row_xyz789",
columns: [
{ key: "description", prompt: "Write a product description." },
{ key: "seo_title", prompt: "Generate an SEO-optimized title.", web_search: true },
{ key: "description_de", prompt: "Translate the description to German." },
],
});
job = client.enhance.bulk(
"tbl_abc123",
row_id="row_xyz789",
columns=[
{"key": "description", "prompt": "Write a product description."},
{"key": "seo_title", "prompt": "Generate an SEO-optimized title.", "web_search": True},
{"key": "description_de", "prompt": "Translate the description to German."},
],
)
curl -X POST "https://hub.banditshq.com/api/v1/tables/tbl_abc123/enhance/bulk" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"row_id": "row_xyz789",
"columns": [
{
"key": "description",
"prompt": "Write a product description."
},
{
"key": "seo_title",
"prompt": "Generate an SEO-optimized title.",
"web_search": true
},
{
"key": "description_de",
"prompt": "Translate the description to German.",
"target_language": "de"
}
]
}'
{
"id": "enhance_abc123",
"status": "queued",
"estimated_credits": 1.5,
"rows_queued": 1
}

